﻿# You can place the script of your game in this file.

init:    
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image boy = "boy.png"
    image girl = "girl.png"
    image circle = "backgrounds/circle.png"
    image ultradeep = "backgrounds/ultradeep.jpg"
    image boy insignificant = At(Image("boy.png"), FactorZoom(1.0, 0.1, 1.0, opaque=False))
    image girl insignificant = At(Image("girl.png"), FactorZoom(1.0, 0.1, 1.0, opaque=False))
    image christianity = "backgrounds/christianity.png"
    image girl distant = im.FactorScale("girl.png", 0.25)
    image blue = Solid(color("#6363cc"))
    image rescue blue = im.Twocolor("backgrounds/rescue.jpg", (255, 255, 255, 255), (99, 99, 204, 255))
    image candle = "backgrounds/candle.jpg"
    image train = "backgrounds/train.jpg"
    image rescue = "backgrounds/rescue.jpg"

    # Declare characters used by this game.
    $ narrator = NVLCharacter(None, kind=nvl)
    $ i = Character('image:', color="#ff0000", kind=nvl)
    $ f = Character('Francis', kind=nvl)
    $ a = Character('Amie', kind=nvl)
    $ g = Character('Giovanni', kind=nvl)
    $ c = Character('Campanella', kind=nvl)
    
    $ leftish = Position(xanchor=0.5, xpos=0.25, yalign=1.0)
    $rightish = Position(xanchor=0.5, xpos=0.75, yalign=1.0)
    
    $ config.translations[u'Start Game'] = u'Start Story'
    $ config.translations[u'Load Game'] = u'Load Story'
    $ config.translations[u'Save Game'] = u'Save Story'
    $ config.translations[u'Continue Game'] = u'Continue Story'
    
label splashscreen:
    scene rescue
    show text "Remembering Amie"
    with fade
    $ renpy.pause(3.0)
    return

# The game starts here.
label start:
    stop music fadeout 1.0
    $ save_name = "Prologue"
    scene black
    with dissolve
    nvl clear
    show boy at center
    with dissolve
    "Hello! I’m…{w=.5} well, you can call me Francis."
    "This is a story about me and a girl – don’t laugh – when I was eleven and she was twelve or thirteen. And it’s about two men I don’t know."
    "One of these men is the Francis of today. I look in the mirror these days and I see an eighteen-year-old, supposedly a man, and I don’t know him. Part of me still expects to see a reflection of the eleven-year-old I remember as the Francis of other days."
    "I’ll tell you some things about Francis, the eleven-year-old."
    hide boy
    with dissolve
    $ save_name = "November 2001"
    nvl clear
    play music "music/air.mp3"
    centered "November 2001"
    show boy at center
    with dissolve
    "I had friends, but I wasn’t wildly popular. I was a weird kid. Still am, I guess. I was fortunate to have a really great friend, one I met in school. That was Amie."
    nvl clear
    show boy at leftish
    with move
    show girl at rightish
    with dissolve
    a "Hello, Narwhal!"
    "\"Narwhal\" was my code name."
    f "Hello, Albatross!"
    "That was hers."
    nvl clear
    scene circle
    with dissolve
    a "I was thinking about what Mrs. Gibson said about diagonals of a circle."
    f "That there’s a finite number of them?"
    a "I don’t think that’s right. Shouldn’t there be an infinite number of diagonals in a circle?"
    "The other kids were discussing Pokémon."
    f "Yeah, because there’s an infinite number of points in the circumference, right?"
    a "Right."
    f "Do you think time is like that?"
    a "What?"
    f "Do you think there are infinite points in a second, or do you think that we live in very short frames, like the frames of a movie?"
    a "I think that time is continuous, like the circumference of the circle."
    nvl clear
    scene ultradeep
    with dissolve
    f "I don’t like infinity."
    a "Why not?"
    f "It just hurts to think about it. I could never fit it all in my mind at once."
    nvl clear
    show boy insignificant at leftish
    a "Maybe you’re just afraid to be unimportant."
    f "Maybe…"
    a "I think when most people think of something infinite, or large beyond comprehension, like the whole universe, they’re scared because they realize they’re only tiny insignificant parts of everything."
    f "That {i}is{/i} kind of frightening."
    nvl clear
    show girl insignificant at rightish
    a "I don’t think so. I can think of how insignificant I am in everything and it doesn’t bother me. I just don’t care."
    f "I don’t think I can do that."
    nvl clear
    scene christianity
    with dissolve
    f "Do you believe in God?"
    a "I don’t know."
    f "How can you not know whether you believe in God?"
    a "I guess I just don’t think religion’s very important."
    f "Why?"
    a "I don’t know. Maybe because I’ve grown up without it."
    f "What sort of religion does your family believe in?"
    a "We don’t have one."
    f "Are your family atheists?"
    a "No, we just don’t have a religion."
    nvl clear
    scene black
    show boy at center
    with dissolve
    "I didn’t think that was even possible."
    nvl clear
    hide boy
    with dissolve
    $ save_name = "July 2002"
    centered "July 2002"
    show boy at center
    with dissolve
    "I spent much of my last summer in the Evergreen State with Amie. She had moved some distance away, and our parents put up with driving us a considerable distance on a regular basis, crossing the infamous Tacoma Narrows Bridge. Amie now lived on an island that became a peninsula during low tide, and there were new opportunities for exploration."
    nvl clear
    "Once, at high tide, I ventured onto a miniature wooden dock."
    f "Amie! Check this out."
    nvl clear
    show girl distant at Position(xanchor=0.5, xpos=0.75, yanchor=0.5, yalign=0.25)
    with dissolve
    a "What is it?"
    f "This thing is floating on styrofoam. And it's breaking up, too. There's a piece floating right over there."
    nvl clear
    stop music
    play sound "splash.ogg"
    scene blue
    $renpy.pause(3.0)
    show text "Then…"
    with dissolve
    $renpy.pause(1.0)
    hide text
    scene rescue blue
    with dissolve
    play music "music/pathetique2.mp3"
    $ renpy.pause(3.0)
    nvl clear
    scene black
    show boy at leftish
    show girl at rightish
    with dissolve
    f "That was so stupid.… I'm soaked. And I think I scratched my shin on something when I was going down."
    a "Just lick your wounds and we'll go home."
    f "Lick my wounds?"
    a "It's an expression."
    f "It's not a very graceful expression."
    nvl clear
    scene candle
    show boy at leftish
    show girl at rightish
    with dissolve
    a "You can come in and grab a towel from that hallway closet. Just try not to get things wet."
    f "Is this a…{w=.5} a menorah?"
    a "It's a Swedish thing. A candelabra you're supposed to put in the window to welcome visitors. I think it's actually for Christmas, but we keep it up all the time."
    f "Oh."
    f "I'll go grab a towel."
    nvl clear
    hide boy
    with dissolve
    show girl at center
    with move
    "This is a sad state of affairs. Francis's memory is terrible. He can hardly describe the people he sees every day. How could he ever accurately describe me? I'm sure he really wants to remember, but he just can't."
    "It's been suggested that most of human memory is reconstructed; we remember little pieces, and we interpolate the rest."
    "And as there are always fewer pieces of me left in Francis's mind, more of me becomes interpolation – imagination."
    "So sure, I'm a real memory, but did I ever really exist?"
    nvl clear
    show girl at rightish
    with move
    show boy at leftish
    with dissolve
    f "Do you think we could watch a movie?"
    a "Sure. Have you seen {i}Sleuth{/i}?"
    nvl clear
    scene black
    with dissolve
    $save_name = "September 2008"
    centered "September 2008"
    "I was watching a movie…{p}at home…{p}late at night.…"
    nvl clear
    show boy at center
    with dissolve
    "I was alone and I was feeling alone – alone in the Bay State, just about a man – legally – and with no idea what \“manhood\” or \“adulthood\" meant. About to start another year of high school, feeling sick with nervousness about the whole thing. School made me feel sick. Summer made me feel detached. The movie made me cry."
    "Here's the story:"
    nvl clear
    scene train
    with dissolve
    "A boy named Giovanni found himself on a train travelling the depths of the cosmos with his only friend Campanella."
    c "This is all very strange."
    g "But at least we're staying together."
    $ renpy.pause
    g "Right, Campanella?"
    c "Look at that!"
    g "That must be the Coalsack. A spot of complete darkness in the sky."
    c "That's not what I see at all. This must be what heaven really looks like."
    g "I don't know what you're talking about."
    $ renpy.pause(.5)
    nvl clear
    g "Campanella, what are you doing?"
    c "I have to leave, Giovanni."
    g "I don't understand."
    c "I belong out there. I think I see my mother."
    nvl clear
    "Campanella walked off the train and was swallowed by the darkness of a starless sky, leaving Giovanni alone. And when Giovanni awoke from his dream of a railroad in the sky, he found that his friend Campanella had drowned."
    nvl clear
    scene black
    show boy at center
    with dissolve
    "I couldn't sleep for all my crying, and hastily I wrote an e-mail to Amie, hoping that this one would at last provoke an answer. Mostly I wanted to know one thing:"
    f "Amie, are you still alive?"
    nvl clear
    scene rescue
    with dissolve
    a "Yes, I'm still alive! It's funny how much that childhood friendship meant to us. I guess it's stupid, but I haven't been responding to you for a while now because I thought you might judge me…"
    nvl clear
    scene black
    show boy at center
    with dissolve
    "She thought I might judge her, because she… he wasn't Amie anymore; he was Arthur."
    "I don't know Amie anymore because there is no Amie anymore. Amie exists only in memory, like any child who has grown up."
    "I would like to make a promise to Amie, because it is only Amie I really know."
    "Amie, as much as I want to remain in the castles of imagination we built together, I promise that I will go forth and grow up."
    "I will become a man{w=.5} because you did so."
    nvl clear
    scene black with fade
    show text "story, incidental graphics, and production:\nKazuki Mishima\n\nRen'Py visual novel engine:\nPyTom\n\ncharacter sprites:\nAIGA"
    with dissolve
    $ renpy.pause()
    show text "background image sources:\n\nHubble Ultra Deep Field, created by NASA and ESA\n\nphotograph of a burning candle, created by Wikimedia Commons user Jeroalex\n\npassenger train interior, created by the Japanese Ministry of Railways"
    with dissolve
    $ renpy.pause()
    show text "music:\n\nJohann Sebastian Bach's \"Air on the G String\", performed by the USAF Strings\n\nLudwig van Beethoven's Sonata No. 8 in C Minor, \"Pathétique\", Op. 13 - II. Adagio cantabile, performed by Daniel Veesey"
    with dissolve
    $ renpy.pause()
    return
